Name: libggi
Version: 2.0.1
Release: alt3

Serial: 1

Summary: LibGGI, the dynamic GGI (General Graphics Interface) library

Copyright: Public Domain
Group: System/Libraries
URL: http://www.ggi-project.org/

Source: ftp://ftp.ggi-project.org:/pub/ggi/ggi/2_0_beta_3/%name-%version.tar.bz2
Patch: %name-2.0b3-clk_tck-hack.patch 

# Automatically added by buildreq on Wed Oct 16 2002
BuildRequires: XFree86-devel-static XFree86-libs aalib-devel glibc-devel-static libdnet-devel libgii-devel libncurses-devel libslang libtinfo-devel

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a flexible      
drawing library.                                                                
                                                                                
It provides an opaque interface to the display's acceleration functions. It     
was originally intended to allow user programs to interface with KGI, the       
GGI Kernel Graphics Interface, but other display types can be easily used by    
loading the appropriate "display target" (e.g. X, memory).                      
                                                                                
LibGGI consists of a main library (libggi.so) and a multitude of                
dynamic drivers. The library then loads the necessary "drivers" for the         
requested mode, taking hints from the graphics device if necessary. LibGGI      
can also load extension libraries, e.g. to provide enhanced 2D and 3D           
functions.

%package devel
Summary: development part of %name
Group: Development/C
Requires: %name = %version-%release

%description devel
development files for %name

%prep
%setup -q
%patch -p1
#correct manuals' names
(cd doc/man;
for i in `find . -type f -name '*3*' `;do
    j=`echo $i|sed s/[3-9].*/3/`;
    mv -f  $i $j;
done
for i in `find . -type f -name '*7*' `;do
    j=`echo $i|sed s/[7-9].*/7/`;
    mv -f  $i $j;
done

perl -pi -e 's@\.3g.i@\.3@g'  Makefile.am
perl -pi -e 's@\.7g.i@\.7@g'  Makefile.am

for i in `find . -type f -name '[g,d,l]*' `;do
    perl -pi -e 's@\.7g.i@\.7@g'  $i
    perl -pi -e 's@\.3g.i@\.3@g'  $i
done
)

%build
./autogen.sh
%undefine __libtoolize
%configure
%make_build

%install
%makeinstall

%files
%doc README NEWS ChangeLog INSTALL FAQ
%config(noreplace) %_sysconfdir/ggi/*
%_bindir/*
%_libdir/*.so.*
%_libdir/ggi/default/*.so
%_libdir/ggi/display/*.so
%_libdir/ggi/default/fbdev/mga/*.so
%_mandir/man?/*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/ggi/default/*.la
%_libdir/ggi/display/*.la
%_libdir/ggi/default/fbdev/mga/*.la

%changelog
* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.1-alt3
- rebuild without svgalib

* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.0.1-alt2
- rebuild with gcc3

* Mon Sep 17 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0-alt1
- 2.0 final
- Added Serial. Wrong numbers was before.

* Thu Aug 09 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b4-alt2
- Added buildreqs

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b4-alt1
- beta4

* Wed Jul 04 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0b3-alt1
- Inital release for ALT Linux
